Processing raster calculator error when re-rerunning the algorithm

2018-11-29 10:05 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/QGIS

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28490

Description

Very simple scenario. Single raster layer and an operation like ``raster > 100``. After the layer is correctly generated don't close the dialog

and try to run it again (with the same expression or another, it doesn't matter).

The algorithm pops up this message:

``Incorrect parameter value for LAYERS``

Seems that it is not fetching the new created layer (in fact in the layer panel the new layer is not listed). Closing and opening again works

nice.

Associated revisions

Revision e546129f - 2018-11-30 09:17 AM - Victor Olaya

[processing] fixed update of MultipleInputPanel after alg is run

Fixes #20670

Revision 2e6ebb09 - 2018-12-04 02:21 AM - Victor Olaya

[processing] fixed update of MultipleInputPanel after alg is run

Fixes #20670

(cherry picked from commit e546129f5c6745e673052c2d00c36c6d057849de)

History

#1 - 2018-11-29 04:25 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-11-29 05:31 PM - Alessandro Pasotti

Can you please check if this bug also affects other algorithms that have the same LAYERS input for multiple layers with checkbox and list?

#3 - 2018-11-30 09:16 AM - Victor Olaya

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|e546129f5c6745e673052c2d00c36c6d057849de.
